<?php
function specialty_customizer_defaults( $setting = false ) {
	$theme = wp_get_theme();

	// phpcs:disable WordPress.Arrays.MultipleStatementAlignment.DoubleArrowNotAligned
	$defaults = apply_filters(
		'specialty_customizer_defaults',
		array(
			'global_typo_disable_google_fonts' => 0,
			'global_typo_body' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => 'regular',
						'size'       => 16,
						'lineHeight' => 1.625,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_h1' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 24,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_h2' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 20,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_h3' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 18,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_h4' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 16,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_h5' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 14,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_h6' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 12,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_form_labels' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => 'regular',
						'size'       => 16,
						'lineHeight' => 1.625,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_form_text' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => 'regular',
						'size'       => 15,
						'lineHeight' => 1.2,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_buttons' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 13,
						'lineHeight' => 1.2,
						'transform'  => 'uppercase',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_widget_titles' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => '700',
						'size'       => 14,
						'lineHeight' => 1.2,
						'transform'  => 'uppercase',
						'spacing'    => 1,
						'is_gfont'   => true,
					),
				)
			),
			'global_typo_widget_text' => specialty_typography_control_defaults_empty_breakpoints(
				array(
					'desktop' => array(
						'family'     => 'Lato',
						'variant'    => 'regular',
						'size'       => 13,
						'lineHeight' => 1.625,
						'transform'  => 'none',
						'spacing'    => '',
						'is_gfont'   => true,
					),
				)
			),
		)
	);
	// phpcs:enable

	if ( ! empty( $setting ) && array_key_exists( $setting, $defaults ) ) {
		return apply_filters( 'specialty_customizer_default', $defaults[ $setting ], $setting );
	}

	return $defaults;
}