<?php
if ( ! function_exists( 'specialty_get_hero_styles' ) ) :
	function specialty_get_hero_styles() {
		$bg_color         = get_theme_mod( 'hero_bg_color', 'rgba( 47, 48, 67, 0.82 )' );
		$text_color       = get_theme_mod( 'hero_text_color' );
		$image            = get_theme_mod( 'hero_image' );
		$image_repeat     = get_theme_mod( 'hero_image_repeat', 'no-repeat' );
		$image_position_x = get_theme_mod( 'hero_image_position_x', 'center' );
		$image_position_y = get_theme_mod( 'hero_image_position_y', 'center' );
		$image_attachment = get_theme_mod( 'hero_image_attachment', 'scroll' );
		$image_cover      = get_theme_mod( 'hero_image_cover', 1 );

		if ( is_singular() ) {
			$single_image_id = get_post_meta( get_queried_object_id(), 'header_image_id', true );
			$single_bg_color = get_post_meta( get_queried_object_id(), 'header_bg_color', true );

			if ( $single_image_id || $single_bg_color ) {
				if ( $single_image_id ) {
					$image = wp_get_attachment_image_url( $single_image_id, 'specialty_hero' );
				} else {
					$image = '';
				}

				$bg_color         = $single_bg_color;
				$text_color       = get_post_meta( get_queried_object_id(), 'header_text_color', true );
				$image_repeat     = get_post_meta( get_queried_object_id(), 'header_image_repeat', true );
				$image_position_x = get_post_meta( get_queried_object_id(), 'header_image_position_x', true );
				$image_position_y = get_post_meta( get_queried_object_id(), 'header_image_position_y', true );
				$image_attachment = get_post_meta( get_queried_object_id(), 'header_image_attachment', true );
				$image_cover      = get_post_meta( get_queried_object_id(), 'header_image_cover', true );
			}
		}

		$style = '';

		if ( $bg_color ) {
			$style .= '.page-hero::before { ';
			$style .= sprintf( 'background-color: %s; ',
				$bg_color
			);
			$style .= '}' . PHP_EOL;
		}

		if ( $text_color || $image ) {
			$style .= '.page-hero { ';

			if ( $text_color ) {
				$style .= sprintf( 'color: %s; ',
					$text_color
				);
			}

			if ( $image ) {
				$style .= sprintf( 'background-image: url(%s); ',
					$image
				);

				if ( $image_repeat ) {
					$style .= sprintf( 'background-repeat: %s; ',
						$image_repeat
					);
				}

				if ( $image_position_x && $image_position_y ) {
					$style .= sprintf( 'background-position: %s %s; ',
						$image_position_x,
						$image_position_y
					);
				}

				if ( $image_attachment ) {
					$style .= sprintf( 'background-attachment: %s; ',
						$image_attachment
					);
				}

				if ( $image_cover ) {
					$style .= 'background-size: cover; ';
				}
			}

			$style .= '}';
		}

		return $style;
	}
endif;