<?php
// Needed by the hero image descriptions.
global $_wp_additional_image_sizes;
$size      = $_wp_additional_image_sizes['specialty_hero'];
$hero_size = $size['width'] . 'x' . $size['height'];

//
// Hero colors
//
$wpc->add_setting( 'hero_image', array(
	'default'           => '',
	'sanitize_callback' => 'esc_url_raw',
) );
$wpc->add_control( new WP_Customize_Image_Control( $wpc, 'hero_image', array(
	'section'     => 'colors_hero',
	'label'       => esc_html__( 'Hero image', 'specialty' ),
	/* translators: %s is a number of pixels. */
	'description' => esc_html( sprintf( __( 'Recommended size of at least %s pixels.', 'specialty' ), $hero_size ) ),
) ) );

$wpc->add_setting( 'hero_image_repeat', array(
	'default'           => 'no-repeat',
	'sanitize_callback' => 'specialty_sanitize_image_repeat',
) );
$wpc->add_control( 'hero_image_repeat', array(
	'type'    => 'select',
	'section' => 'colors_hero',
	'label'   => esc_html__( 'Image repeat', 'specialty' ),
	'choices' => specialty_get_image_repeat_choices(),
) );

$wpc->add_setting( 'hero_image_position_x', array(
	'default'           => 'center',
	'sanitize_callback' => 'specialty_sanitize_image_position_x',
) );
$wpc->add_control( 'hero_image_position_x', array(
	'type'    => 'select',
	'section' => 'colors_hero',
	'label'   => esc_html__( 'Image horizontal position', 'specialty' ),
	'choices' => specialty_get_image_position_x_choices(),
) );

$wpc->add_setting( 'hero_image_position_y', array(
	'default'           => 'center',
	'sanitize_callback' => 'specialty_sanitize_image_position_y',
) );
$wpc->add_control( 'hero_image_position_y', array(
	'type'    => 'select',
	'section' => 'colors_hero',
	'label'   => esc_html__( 'Image vertical position', 'specialty' ),
	'choices' => specialty_get_image_position_y_choices(),
) );

$wpc->add_setting( 'hero_image_attachment', array(
	'default'           => 'scroll',
	'sanitize_callback' => 'specialty_sanitize_image_attachment',
) );
$wpc->add_control( 'hero_image_attachment', array(
	'type'    => 'select',
	'section' => 'colors_hero',
	'label'   => esc_html__( 'Image attachment', 'specialty' ),
	'choices' => specialty_get_image_attachment_choices(),
) );

$wpc->add_setting( 'hero_image_cover', array(
	'default'           => 1,
	'sanitize_callback' => 'specialty_sanitize_checkbox',
) );
$wpc->add_control( 'hero_image_cover', array(
	'type'    => 'checkbox',
	'section' => 'colors_hero',
	'label'   => esc_html__( 'Scale the image to cover its containing area.', 'specialty' ),
) );

$wpc->add_setting( 'hero_text_color', array(
	'transport'         => 'postMessage',
	'default'           => '#FFFFFF',
	'sanitize_callback' => 'specialty_sanitize_hex_color',
) );
$wpc->add_control( new WP_Customize_Color_Control( $wpc, 'hero_text_color', array(
	'section' => 'colors_hero',
	'label'   => esc_html__( 'Text color', 'specialty' ),
) ) );

$wpc->add_setting( 'hero_bg_color', array(
	'transport'         => 'postMessage',
	'default'           => 'rgba( 47, 48, 67, 0.82 )',
	'sanitize_callback' => 'specialty_sanitize_rgba_color',
) );
$wpc->add_control( new Customize_Alpha_Color_Control( $wpc, 'hero_bg_color', array(
	'label'        => esc_html__( 'Background Color', 'specialty' ),
	'description'  => wp_kses( __( 'Select a color for your hero section. This will be visible <strong>on top</strong> of the image, so adjust the opacity to achieve the required result.', 'specialty' ), specialty_get_allowed_tags() ),
	'section'      => 'colors_hero',
	'show_opacity' => true,
) ) );