<?php
$sample_content_url = apply_filters( 'specialty_sample_content_url',
	sprintf( 'https://www.cssigniter.com/sample_content/%s.zip', SPECIALTY_NAME ),
	'https://www.cssigniter.com/sample_content/',
	SPECIALTY_NAME
);

if ( ! empty( $sample_content_url ) && ( ! defined( 'SPECIALTY_WHITELABEL' ) || false === (bool) SPECIALTY_WHITELABEL ) ) {
	$wpc->add_setting( 'sample_content_link', array(
		'default' => '',
	) );
	$wpc->add_control( new Specialty_Customize_Static_Text_Control( $wpc, 'sample_content_link', array(
		'section'     => 'other',
		'label'       => esc_html__( 'Resources', 'specialty' ),
		'description' => array(
			wp_kses(
			/* translators: %s is a url. */
				sprintf( __( '<a href="%s" target="_blank">Download the theme\'s sample content</a> to get things moving.', 'specialty' ),
					esc_url( $sample_content_url )
				),
				specialty_get_allowed_tags( 'guide' )
			),
		),
	) ) );
}

$wpc->add_setting( 'login_page', array(
	'default'           => '',
	'sanitize_callback' => 'specialty_sanitize_intval_or_empty',
) );
$wpc->add_control( 'login_page', array(
	'label'       => esc_html__( 'Login page', 'specialty' ),
	'description' => wp_kses( __( 'The selected page needs to have the <strong>Login</strong> template assigned. Once an appropriate page has been selected, all login links will be redirected to that page.', 'specialty' ), specialty_get_allowed_tags( 'guide' ) ),
	'section'     => 'other',
	'type'        => 'dropdown-pages',
) );