<?php
$wpc->add_setting( 'theme_jobs_listing_company_logo_show', array(
	'default'           => 1,
	'sanitize_callback' => 'specialty_sanitize_checkbox',
) );
$wpc->add_control( 'theme_jobs_listing_company_logo_show', array(
	'type'    => 'checkbox',
	'section' => 'theme_jobs',
	'label'   => esc_html__( 'Show company logo next to job listings.', 'specialty' ),
) );

$wpc->add_setting( 'theme_jobs_listing_create_alert', array(
	'default'           => 1,
	'sanitize_callback' => 'specialty_sanitize_checkbox',
) );
$wpc->add_control( 'theme_jobs_listing_create_alert', array(
	'type'        => 'checkbox',
	'section'     => 'theme_jobs',
	'label'       => esc_html__( 'Show alert creation box on job listing.', 'specialty' ),
	'description' => esc_html__( 'This only applies on pages with the "Job Listing" template assigned.', 'specialty' ),
) );

$wpc->add_setting( 'theme_jobs_report_email', array(
	'default'           => '',
	'sanitize_callback' => 'sanitize_email',
) );
$wpc->add_control( 'theme_jobs_report_email', array(
	'type'        => 'text',
	'section'     => 'theme_jobs',
	'label'       => esc_html__( 'Report Job email address', 'specialty' ),
	'description' => esc_html__( 'When an email address is provided, a "Report this listing" link will appear on the bottom of single job pages. While anti-spam measures are being taken, it is suggested that you use a dedicated email address for this option, so that it may easily be changed in the future if needed. If you want to completely disable reporting, just leave this empty.', 'specialty' ),
) );

$wpc->add_setting( 'theme_jobs_report_email_logged_in', array(
	'default'           => 1,
	'sanitize_callback' => 'specialty_sanitize_checkbox',
) );
$wpc->add_control( 'theme_jobs_report_email_logged_in', array(
	'type'        => 'checkbox',
	'section'     => 'theme_jobs',
	'label'       => esc_html__( 'Only logged in users can report a job.', 'specialty' ),
	'description' => esc_html__( 'When disabled, all visitors will have access to the reporting link, exposing your email address to more people.', 'specialty' ),
) );