<?php
if ( ! function_exists( 'specialty_get_columns_classes' ) ) :
	function specialty_get_columns_classes( $columns ) {
		switch ( intval( $columns ) ) {
			case 1:
				$classes = 'col-xs-12';
				break;
			case 2:
				$classes = 'col-md-6 col-xs-12';
				break;
			case 3:
				$classes = 'col-xl-4 col-xs-12';
				break;
			case 4:
			default:
				$classes = 'col-lg-3 col-md-4 col-md-6 col-xs-12';
				break;
		}

		return apply_filters( 'specialty_get_columns_classes', $classes, $columns );
	}
endif;

if ( ! function_exists( 'specialty_get_job_listing_layout_choices' ) ) :
	function specialty_get_job_listing_layout_choices() {
		return apply_filters( 'specialty_job_listing_layout_choices', array(
			''     => esc_html__( 'Right sidebar', 'specialty' ),
			'left' => esc_html__( 'Left sidebar', 'specialty' ),
			'full' => esc_html__( 'No sidebar', 'specialty' ),
		) );
	}
endif;

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function specialty_content_width() {
	$content_width = $GLOBALS['content_width'];

	if ( is_page_template( 'template-builder.php' )
		|| is_page_template( 'template-fullwidth.php' )
	) {
		$content_width = 940;
	}

	$GLOBALS['content_width'] = apply_filters( 'specialty_content_width', $content_width );
}
add_action( 'template_redirect', 'specialty_content_width', 0 );