<?php
add_action( 'wp_enqueue_scripts', 'specialty_enqueue_scripts' );
function specialty_enqueue_scripts() {

	/*
	 * Styles
	 */
	$theme = wp_get_theme();

	wp_register_style( 'font-awesome', get_template_directory_uri() . '/vendor/fontawesome/font-awesome.css', array(), specialty_asset_version( '4.7.0' ) );
	wp_register_style( 'magnific-popup', get_template_directory_uri() . '/vendor/magnific/magnific.css', array(), specialty_asset_version( '1.0.0' ) );
	wp_register_style( 'jquery-mCustomScrollbar', get_template_directory_uri() . '/vendor/customScrollbar/jquery.mCustomScrollbar.min.css', array(), specialty_asset_version( '3.1.13' ) );

	wp_register_style( 'specialty-dependencies', false, array(
		'font-awesome',
		'magnific-popup',
		'jquery-mCustomScrollbar',
	), specialty_asset_version() );

	$main_dependencies = array(
		'specialty-dependencies',
	);

	if ( ! get_theme_mod( 'global_typo_disable_google_fonts', specialty_customizer_defaults( 'global_typo_disable_google_fonts' ) ) ) {
		add_action( 'wp_head', 'specialty_head_preconnect_google_fonts' );
	}

	// Load the user-selected google fonts, if any.
	specialty_enqueue_google_fonts();

	if ( is_child_theme() ) {
		wp_enqueue_style( 'specialty-style-parent', get_template_directory_uri() . '/style.css', $main_dependencies, specialty_asset_version() );
	}

	wp_enqueue_style( 'specialty-style', get_stylesheet_uri(), $main_dependencies, specialty_asset_version() );

	wp_add_inline_style( 'specialty-style', specialty_get_all_customizer_css() );


	/*
	 * Scripts
	 */
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	wp_register_script( 'magnific-popup', get_template_directory_uri() . '/vendor/magnific/jquery.magnific-popup.js', array( 'jquery' ), specialty_asset_version( '1.0.0' ), true );
	wp_register_script( 'jquery-mCustomScrollbar', get_template_directory_uri() . '/vendor/customScrollbar/jquery.mCustomScrollbar.concat.min.js', array( 'jquery' ), specialty_asset_version( '3.1.13' ), true );

	/*
	 * Enqueue
	 */
	wp_enqueue_script( 'specialty-front-scripts', get_template_directory_uri() . '/js/scripts.js', array(
		'jquery',
		'magnific-popup',
		'jquery-mCustomScrollbar',
	), specialty_asset_version(), true );

}

add_action( 'admin_enqueue_scripts', 'specialty_admin_enqueue_scripts' );
function specialty_admin_enqueue_scripts( $hook ) {
	$theme = wp_get_theme();

	/*
	 * Styles
	 */
	wp_register_style( 'alpha-color-picker', get_template_directory_uri() . '/vendor/alphaColorPicker/alpha-color-picker.css', array(
		'wp-color-picker',
	), specialty_asset_version( '1.0.0' ) );
	wp_register_style( 'alpha-color-picker-customizer', get_template_directory_uri() . '/inc/customizer/customizer-controls/alpha-color-picker/alpha-color-picker.css', array(
		'wp-color-picker',
	), specialty_asset_version( '1.0.0' ) );

	wp_register_style( 'specialty-post-edit', false, array(
		'alpha-color-picker',
	), specialty_asset_version() );


	/*
	 * Scripts
	 */
	wp_register_script( 'alpha-color-picker', get_template_directory_uri() . '/vendor/alphaColorPicker/alpha-color-picker.js', array(
		'jquery',
		'wp-color-picker',
	), specialty_asset_version( '1.0.0' ), true );
	wp_register_script( 'alpha-color-picker-customizer', get_template_directory_uri() . '/inc/customizer/customizer-controls/alpha-color-picker/alpha-color-picker.js', array(
		'jquery',
		'wp-color-picker',
	), specialty_asset_version( '1.0.0' ), true );

	wp_register_script( 'specialty-post-edit', get_template_directory_uri() . '/js/admin/post-edit.js', array(
		'jquery',
		'alpha-color-picker',
	), specialty_asset_version(), true );


	/*
	 * Enqueue
	 */
	if ( in_array( $hook, array( 'post.php', 'post-new.php' ), true ) ) {
		wp_enqueue_media();
		wp_enqueue_style( 'specialty-post-meta' );
		wp_enqueue_script( 'specialty-post-meta' );

		wp_enqueue_style( 'specialty-post-edit' );
		wp_enqueue_script( 'specialty-post-edit' );

		wp_enqueue_style( 'wp-color-picker' );
	}

	if ( in_array( $hook, array( 'widgets.php', 'customize.php' ), true ) ) {
		wp_enqueue_media();
		wp_enqueue_style( 'specialty-post-meta' );
		wp_enqueue_script( 'specialty-post-meta' );

		wp_enqueue_style( 'alpha-color-picker-customizer' );
		wp_enqueue_script( 'alpha-color-picker-customizer' );
	}

}