<?php
add_action( 'widgets_init', 'specialty_widgets_init' );
function specialty_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html_x( 'Blog', 'widget area', 'specialty' ),
		'id'            => 'blog',
		'description'   => esc_html__( 'This sidebar appears on your blog posts.', 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html_x( 'Pages', 'widget area', 'specialty' ),
		'id'            => 'page',
		'description'   => esc_html__( "This sidebar appears on the site's static pages.", 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html_x( 'Jobs', 'widget area', 'specialty' ),
		'id'            => 'jobs',
		'description'   => esc_html__( 'This sidebar appears on job-related pages. Requires the WP Job Manager plugin.', 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html_x( 'Footer - Column 1', 'widget area', 'specialty' ),
		'id'            => 'footer-1',
		'description'   => esc_html__( 'First column on footer.', 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html_x( 'Footer - Column 2', 'widget area', 'specialty' ),
		'id'            => 'footer-2',
		'description'   => esc_html__( 'Second column on footer.', 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html_x( 'Footer - Column 3', 'widget area', 'specialty' ),
		'id'            => 'footer-3',
		'description'   => esc_html__( 'Third column on footer.', 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html_x( 'Footer - Column 4', 'widget area', 'specialty' ),
		'id'            => 'footer-4',
		'description'   => esc_html__( 'Fourth column on footer.', 'specialty' ),
		'before_widget' => '<aside id="%1$s" class="widget group %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}


add_action( 'widgets_init', 'specialty_load_widgets' );
function specialty_load_widgets() {
	require_once get_theme_file_path( '/inc/widgets/socials.php' );
	require_once get_theme_file_path( '/inc/widgets/callout.php' );
	require_once get_theme_file_path( '/inc/widgets/related-jobs.php' );
}